source: pkg/frankie/main/synaptic/trunk/Makefile.in @ 6452

Revision 6452, 22.5 KB checked in by alanbach-guest, 4 years ago (diff)
  • Merged updates from Debian 0.63.1
Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18# synaptic makefile
19VPATH = @srcdir@
20pkgdatadir = $(datadir)/@PACKAGE@
21pkgincludedir = $(includedir)/@PACKAGE@
22pkglibdir = $(libdir)/@PACKAGE@
23pkglibexecdir = $(libexecdir)/@PACKAGE@
24am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25install_sh_DATA = $(install_sh) -c -m 644
26install_sh_PROGRAM = $(install_sh) -c
27install_sh_SCRIPT = $(install_sh) -c
28INSTALL_HEADER = $(INSTALL_DATA)
29transform = $(program_transform_name)
30NORMAL_INSTALL = :
31PRE_INSTALL = :
32POST_INSTALL = :
33NORMAL_UNINSTALL = :
34PRE_UNINSTALL = :
35POST_UNINSTALL = :
36subdir = .
37DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
39        $(top_srcdir)/configure ABOUT-NLS AUTHORS COPYING ChangeLog \
40        INSTALL NEWS TODO depcomp install-sh missing mkinstalldirs
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
43        $(top_srcdir)/configure.in
44am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45        $(ACLOCAL_M4)
46am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno config.status.lineno
48mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
49CONFIG_HEADER = config.h
50CONFIG_CLEAN_FILES =
51CONFIG_CLEAN_VPATH_FILES =
52SOURCES =
53DIST_SOURCES =
54RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55        html-recursive info-recursive install-data-recursive \
56        install-dvi-recursive install-exec-recursive \
57        install-html-recursive install-info-recursive \
58        install-pdf-recursive install-ps-recursive install-recursive \
59        installcheck-recursive installdirs-recursive pdf-recursive \
60        ps-recursive uninstall-recursive
61RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
62  distclean-recursive maintainer-clean-recursive
63AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
64        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
65        distdir dist dist-all distcheck
66ETAGS = etags
67CTAGS = ctags
68DIST_SUBDIRS = $(SUBDIRS)
69DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
70distdir = $(PACKAGE)-$(VERSION)
71top_distdir = $(distdir)
72am__remove_distdir = \
73  { test ! -d "$(distdir)" \
74    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
75         && rm -fr "$(distdir)"; }; }
76am__relativize = \
77  dir0=`pwd`; \
78  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
79  sed_rest='s,^[^/]*/*,,'; \
80  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
81  sed_butlast='s,/*[^/]*$$,,'; \
82  while test -n "$$dir1"; do \
83    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
84    if test "$$first" != "."; then \
85      if test "$$first" = ".."; then \
86        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
87        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
88      else \
89        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
90        if test "$$first2" = "$$first"; then \
91          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
92        else \
93          dir2="../$$dir2"; \
94        fi; \
95        dir0="$$dir0"/"$$first"; \
96      fi; \
97    fi; \
98    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
99  done; \
100  reldir="$$dir2"
101DIST_ARCHIVES = $(distdir).tar.gz
102GZIP_ENV = --best
103distuninstallcheck_listfiles = find . -type f -print
104distcleancheck_listfiles = find . -type f -print
105ACLOCAL = @ACLOCAL@
106ALL_LINGUAS = @ALL_LINGUAS@
107AMTAR = @AMTAR@
108AUTOCONF = @AUTOCONF@
109AUTOHEADER = @AUTOHEADER@
110AUTOMAKE = @AUTOMAKE@
111AWK = @AWK@
112BUILD_gtk = @BUILD_gtk@
113CATALOGS = @CATALOGS@
114CATOBJEXT = @CATOBJEXT@
115CC = @CC@
116CCDEPMODE = @CCDEPMODE@
117CFLAGS = @CFLAGS@
118CPP = @CPP@
119CPPFLAGS = @CPPFLAGS@
120CXX = @CXX@
121CXXCPP = @CXXCPP@
122CXXDEPMODE = @CXXDEPMODE@
123CXXFLAGS = @CXXFLAGS@
124CYGPATH_W = @CYGPATH_W@
125DATADIRNAME = @DATADIRNAME@
126DEB_HDRS = @DEB_HDRS@
127DEB_LIBS = @DEB_LIBS@
128DEFS = @DEFS@
129DEPDIR = @DEPDIR@
130ECHO_C = @ECHO_C@
131ECHO_N = @ECHO_N@
132ECHO_T = @ECHO_T@
133EGREP = @EGREP@
134EXEEXT = @EXEEXT@
135GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
136GMOFILES = @GMOFILES@
137GMSGFMT = @GMSGFMT@
138GREP = @GREP@
139INSTALL = @INSTALL@
140INSTALL_DATA = @INSTALL_DATA@
141INSTALL_PROGRAM = @INSTALL_PROGRAM@
142INSTALL_SCRIPT = @INSTALL_SCRIPT@
143INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
144INSTOBJEXT = @INSTOBJEXT@
145INTLLIBS = @INTLLIBS@
146INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
147INTLTOOL_MERGE = @INTLTOOL_MERGE@
148INTLTOOL_PERL = @INTLTOOL_PERL@
149INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
150LDFLAGS = @LDFLAGS@
151LIBOBJS = @LIBOBJS@
152LIBS = @LIBS@
153LP_CFLAGS = @LP_CFLAGS@
154LP_LIBS = @LP_LIBS@
155LTLIBOBJS = @LTLIBOBJS@
156MAINT = @MAINT@
157MAKEINFO = @MAKEINFO@
158MKDIR_P = @MKDIR_P@
159MKINSTALLDIRS = @MKINSTALLDIRS@
160MSGFMT = @MSGFMT@
161MSGFMT_OPTS = @MSGFMT_OPTS@
162MSGMERGE = @MSGMERGE@
163OBJEXT = @OBJEXT@
164PACKAGE = @PACKAGE@
165PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
166PACKAGE_CFLAGS = @PACKAGE_CFLAGS@
167PACKAGE_LIBS = @PACKAGE_LIBS@
168PACKAGE_NAME = @PACKAGE_NAME@
169PACKAGE_STRING = @PACKAGE_STRING@
170PACKAGE_TARNAME = @PACKAGE_TARNAME@
171PACKAGE_URL = @PACKAGE_URL@
172PACKAGE_VERSION = @PACKAGE_VERSION@
173PATH_SEPARATOR = @PATH_SEPARATOR@
174PKG_CONFIG = @PKG_CONFIG@
175POFILES = @POFILES@
176POSUB = @POSUB@
177PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
178PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
179RANLIB = @RANLIB@
180RPM_HDRS = @RPM_HDRS@
181RPM_LIBS = @RPM_LIBS@
182SET_MAKE = @SET_MAKE@
183SHELL = @SHELL@
184STRIP = @STRIP@
185USE_NLS = @USE_NLS@
186VERSION = @VERSION@
187VTE_CFLAGS = @VTE_CFLAGS@
188VTE_LIBS = @VTE_LIBS@
189XGETTEXT = @XGETTEXT@
190abs_builddir = @abs_builddir@
191abs_srcdir = @abs_srcdir@
192abs_top_builddir = @abs_top_builddir@
193abs_top_srcdir = @abs_top_srcdir@
194ac_ct_CC = @ac_ct_CC@
195ac_ct_CXX = @ac_ct_CXX@
196am__include = @am__include@
197am__leading_dot = @am__leading_dot@
198am__quote = @am__quote@
199am__tar = @am__tar@
200am__untar = @am__untar@
201bindir = @bindir@
202build_alias = @build_alias@
203builddir = @builddir@
204datadir = @datadir@
205datarootdir = @datarootdir@
206docdir = @docdir@
207dvidir = @dvidir@
208exec_prefix = @exec_prefix@
209host_alias = @host_alias@
210htmldir = @htmldir@
211includedir = @includedir@
212infodir = @infodir@
213install_sh = @install_sh@
214libdir = @libdir@
215libexecdir = @libexecdir@
216localedir = @localedir@
217localstatedir = @localstatedir@
218mandir = @mandir@
219mkdir_p = @mkdir_p@
220oldincludedir = @oldincludedir@
221pdfdir = @pdfdir@
222prefix = @prefix@
223program_transform_name = @program_transform_name@
224psdir = @psdir@
225sbindir = @sbindir@
226sharedstatedir = @sharedstatedir@
227srcdir = @srcdir@
228synapticlocaledir = @synapticlocaledir@
229sysconfdir = @sysconfdir@
230target_alias = @target_alias@
231top_build_prefix = @top_build_prefix@
232top_builddir = @top_builddir@
233top_srcdir = @top_srcdir@
234SUBDIRS = data common gtk tests man pixmaps po help doc
235EXTRA_DIST = config.h.in \
236             synaptic.spec synaptic-suse.spec synaptic-redhat.spec \
237             intltool-extract.in intltool-merge.in intltool-update.in \
238             README.debtags FAQ \
239             TRANSLATORS README.tasks README.supported \
240             po/synaptic.pot po-manual/synaptic-manual.pot
241
242all: config.h
243        $(MAKE) $(AM_MAKEFLAGS) all-recursive
244
245.SUFFIXES:
246am--refresh:
247        @:
248$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
249        @for dep in $?; do \
250          case '$(am__configure_deps)' in \
251            *$$dep*) \
252              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
253              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
254                && exit 0; \
255              exit 1;; \
256          esac; \
257        done; \
258        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
259        $(am__cd) $(top_srcdir) && \
260          $(AUTOMAKE) --gnu Makefile
261.PRECIOUS: Makefile
262Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
263        @case '$?' in \
264          *config.status*) \
265            echo ' $(SHELL) ./config.status'; \
266            $(SHELL) ./config.status;; \
267          *) \
268            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
269            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
270        esac;
271
272$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
273        $(SHELL) ./config.status --recheck
274
275$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
276        $(am__cd) $(srcdir) && $(AUTOCONF)
277$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
278        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
279$(am__aclocal_m4_deps):
280
281config.h: stamp-h1
282        @if test ! -f $@; then \
283          rm -f stamp-h1; \
284          $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
285        else :; fi
286
287stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
288        @rm -f stamp-h1
289        cd $(top_builddir) && $(SHELL) ./config.status config.h
290$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
291        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
292        rm -f stamp-h1
293        touch $@
294
295distclean-hdr:
296        -rm -f config.h stamp-h1
297
298# This directory's subdirectories are mostly independent; you can cd
299# into them and run `make' without going through this Makefile.
300# To change the values of `make' variables: instead of editing Makefiles,
301# (1) if the variable is set in `config.status', edit `config.status'
302#     (which will cause the Makefiles to be regenerated when you run `make');
303# (2) otherwise, pass the desired values on the `make' command line.
304$(RECURSIVE_TARGETS):
305        @fail= failcom='exit 1'; \
306        for f in x $$MAKEFLAGS; do \
307          case $$f in \
308            *=* | --[!k]*);; \
309            *k*) failcom='fail=yes';; \
310          esac; \
311        done; \
312        dot_seen=no; \
313        target=`echo $@ | sed s/-recursive//`; \
314        list='$(SUBDIRS)'; for subdir in $$list; do \
315          echo "Making $$target in $$subdir"; \
316          if test "$$subdir" = "."; then \
317            dot_seen=yes; \
318            local_target="$$target-am"; \
319          else \
320            local_target="$$target"; \
321          fi; \
322          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
323          || eval $$failcom; \
324        done; \
325        if test "$$dot_seen" = "no"; then \
326          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
327        fi; test -z "$$fail"
328
329$(RECURSIVE_CLEAN_TARGETS):
330        @fail= failcom='exit 1'; \
331        for f in x $$MAKEFLAGS; do \
332          case $$f in \
333            *=* | --[!k]*);; \
334            *k*) failcom='fail=yes';; \
335          esac; \
336        done; \
337        dot_seen=no; \
338        case "$@" in \
339          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
340          *) list='$(SUBDIRS)' ;; \
341        esac; \
342        rev=''; for subdir in $$list; do \
343          if test "$$subdir" = "."; then :; else \
344            rev="$$subdir $$rev"; \
345          fi; \
346        done; \
347        rev="$$rev ."; \
348        target=`echo $@ | sed s/-recursive//`; \
349        for subdir in $$rev; do \
350          echo "Making $$target in $$subdir"; \
351          if test "$$subdir" = "."; then \
352            local_target="$$target-am"; \
353          else \
354            local_target="$$target"; \
355          fi; \
356          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
357          || eval $$failcom; \
358        done && test -z "$$fail"
359tags-recursive:
360        list='$(SUBDIRS)'; for subdir in $$list; do \
361          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
362        done
363ctags-recursive:
364        list='$(SUBDIRS)'; for subdir in $$list; do \
365          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
366        done
367
368ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
369        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
370        unique=`for i in $$list; do \
371            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
372          done | \
373          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
374              END { if (nonempty) { for (i in files) print i; }; }'`; \
375        mkid -fID $$unique
376tags: TAGS
377
378TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
379                $(TAGS_FILES) $(LISP)
380        set x; \
381        here=`pwd`; \
382        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
383          include_option=--etags-include; \
384          empty_fix=.; \
385        else \
386          include_option=--include; \
387          empty_fix=; \
388        fi; \
389        list='$(SUBDIRS)'; for subdir in $$list; do \
390          if test "$$subdir" = .; then :; else \
391            test ! -f $$subdir/TAGS || \
392              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
393          fi; \
394        done; \
395        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
396        unique=`for i in $$list; do \
397            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
398          done | \
399          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
400              END { if (nonempty) { for (i in files) print i; }; }'`; \
401        shift; \
402        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
403          test -n "$$unique" || unique=$$empty_fix; \
404          if test $$# -gt 0; then \
405            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
406              "$$@" $$unique; \
407          else \
408            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
409              $$unique; \
410          fi; \
411        fi
412ctags: CTAGS
413CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
414                $(TAGS_FILES) $(LISP)
415        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
416        unique=`for i in $$list; do \
417            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
418          done | \
419          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
420              END { if (nonempty) { for (i in files) print i; }; }'`; \
421        test -z "$(CTAGS_ARGS)$$unique" \
422          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
423             $$unique
424
425GTAGS:
426        here=`$(am__cd) $(top_builddir) && pwd` \
427          && $(am__cd) $(top_srcdir) \
428          && gtags -i $(GTAGS_ARGS) "$$here"
429
430distclean-tags:
431        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
432
433distdir: $(DISTFILES)
434        $(am__remove_distdir)
435        test -d "$(distdir)" || mkdir "$(distdir)"
436        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
437        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
438        list='$(DISTFILES)'; \
439          dist_files=`for file in $$list; do echo $$file; done | \
440          sed -e "s|^$$srcdirstrip/||;t" \
441              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
442        case $$dist_files in \
443          */*) $(MKDIR_P) `echo "$$dist_files" | \
444                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
445                           sort -u` ;; \
446        esac; \
447        for file in $$dist_files; do \
448          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
449          if test -d $$d/$$file; then \
450            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
451            if test -d "$(distdir)/$$file"; then \
452              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
453            fi; \
454            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
455              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
456              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
457            fi; \
458            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
459          else \
460            test -f "$(distdir)/$$file" \
461            || cp -p $$d/$$file "$(distdir)/$$file" \
462            || exit 1; \
463          fi; \
464        done
465        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
466          if test "$$subdir" = .; then :; else \
467            test -d "$(distdir)/$$subdir" \
468            || $(MKDIR_P) "$(distdir)/$$subdir" \
469            || exit 1; \
470          fi; \
471        done
472        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
473          if test "$$subdir" = .; then :; else \
474            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
475            $(am__relativize); \
476            new_distdir=$$reldir; \
477            dir1=$$subdir; dir2="$(top_distdir)"; \
478            $(am__relativize); \
479            new_top_distdir=$$reldir; \
480            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
481            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
482            ($(am__cd) $$subdir && \
483              $(MAKE) $(AM_MAKEFLAGS) \
484                top_distdir="$$new_top_distdir" \
485                distdir="$$new_distdir" \
486                am__remove_distdir=: \
487                am__skip_length_check=: \
488                am__skip_mode_fix=: \
489                distdir) \
490              || exit 1; \
491          fi; \
492        done
493        -test -n "$(am__skip_mode_fix)" \
494        || find "$(distdir)" -type d ! -perm -755 \
495                -exec chmod u+rwx,go+rx {} \; -o \
496          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
497          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
498          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
499        || chmod -R a+r "$(distdir)"
500dist-gzip: distdir
501        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
502        $(am__remove_distdir)
503
504dist-bzip2: distdir
505        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
506        $(am__remove_distdir)
507
508dist-lzma: distdir
509        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
510        $(am__remove_distdir)
511
512dist-xz: distdir
513        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
514        $(am__remove_distdir)
515
516dist-tarZ: distdir
517        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
518        $(am__remove_distdir)
519
520dist-shar: distdir
521        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
522        $(am__remove_distdir)
523
524dist-zip: distdir
525        -rm -f $(distdir).zip
526        zip -rq $(distdir).zip $(distdir)
527        $(am__remove_distdir)
528
529dist dist-all: distdir
530        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
531        $(am__remove_distdir)
532
533# This target untars the dist file and tries a VPATH configuration.  Then
534# it guarantees that the distribution is self-contained by making another
535# tarfile.
536distcheck: dist
537        case '$(DIST_ARCHIVES)' in \
538        *.tar.gz*) \
539          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
540        *.tar.bz2*) \
541          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
542        *.tar.lzma*) \
543          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
544        *.tar.xz*) \
545          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
546        *.tar.Z*) \
547          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
548        *.shar.gz*) \
549          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
550        *.zip*) \
551          unzip $(distdir).zip ;;\
552        esac
553        chmod -R a-w $(distdir); chmod a+w $(distdir)
554        mkdir $(distdir)/_build
555        mkdir $(distdir)/_inst
556        chmod a-w $(distdir)
557        test -d $(distdir)/_build || exit 0; \
558        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
559          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
560          && am__cwd=`pwd` \
561          && $(am__cd) $(distdir)/_build \
562          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
563            $(DISTCHECK_CONFIGURE_FLAGS) \
564          && $(MAKE) $(AM_MAKEFLAGS) \
565          && $(MAKE) $(AM_MAKEFLAGS) dvi \
566          && $(MAKE) $(AM_MAKEFLAGS) check \
567          && $(MAKE) $(AM_MAKEFLAGS) install \
568          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
569          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
570          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
571                distuninstallcheck \
572          && chmod -R a-w "$$dc_install_base" \
573          && ({ \
574               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
575               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
576               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
577               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
578                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
579              } || { rm -rf "$$dc_destdir"; exit 1; }) \
580          && rm -rf "$$dc_destdir" \
581          && $(MAKE) $(AM_MAKEFLAGS) dist \
582          && rm -rf $(DIST_ARCHIVES) \
583          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
584          && cd "$$am__cwd" \
585          || exit 1
586        $(am__remove_distdir)
587        @(echo "$(distdir) archives ready for distribution: "; \
588          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
589          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
590distuninstallcheck:
591        @$(am__cd) '$(distuninstallcheck_dir)' \
592        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
593           || { echo "ERROR: files left after uninstall:" ; \
594                if test -n "$(DESTDIR)"; then \
595                  echo "  (check DESTDIR support)"; \
596                fi ; \
597                $(distuninstallcheck_listfiles) ; \
598                exit 1; } >&2
599distcleancheck: distclean
600        @if test '$(srcdir)' = . ; then \
601          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
602          exit 1 ; \
603        fi
604        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
605          || { echo "ERROR: files left in build directory after distclean:" ; \
606               $(distcleancheck_listfiles) ; \
607               exit 1; } >&2
608check-am: all-am
609check: check-recursive
610all-am: Makefile config.h
611installdirs: installdirs-recursive
612installdirs-am:
613install: install-recursive
614install-exec: install-exec-recursive
615install-data: install-data-recursive
616uninstall: uninstall-recursive
617
618install-am: all-am
619        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
620
621installcheck: installcheck-recursive
622install-strip:
623        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
624          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
625          `test -z '$(STRIP)' || \
626            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
627mostlyclean-generic:
628
629clean-generic:
630
631distclean-generic:
632        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
633        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
634
635maintainer-clean-generic:
636        @echo "This command is intended for maintainers to use"
637        @echo "it deletes files that may require special tools to rebuild."
638clean: clean-recursive
639
640clean-am: clean-generic mostlyclean-am
641
642distclean: distclean-recursive
643        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
644        -rm -f Makefile
645distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
646
647dvi: dvi-recursive
648
649dvi-am:
650
651html: html-recursive
652
653html-am:
654
655info: info-recursive
656
657info-am:
658
659install-data-am:
660
661install-dvi: install-dvi-recursive
662
663install-dvi-am:
664
665install-exec-am:
666
667install-html: install-html-recursive
668
669install-html-am:
670
671install-info: install-info-recursive
672
673install-info-am:
674
675install-man:
676
677install-pdf: install-pdf-recursive
678
679install-pdf-am:
680
681install-ps: install-ps-recursive
682
683install-ps-am:
684
685installcheck-am:
686
687maintainer-clean: maintainer-clean-recursive
688        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
689        -rm -rf $(top_srcdir)/autom4te.cache
690        -rm -f Makefile
691maintainer-clean-am: distclean-am maintainer-clean-generic
692
693mostlyclean: mostlyclean-recursive
694
695mostlyclean-am: mostlyclean-generic
696
697pdf: pdf-recursive
698
699pdf-am:
700
701ps: ps-recursive
702
703ps-am:
704
705uninstall-am:
706
707.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
708        ctags-recursive install-am install-strip tags-recursive
709
710.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
711        all all-am am--refresh check check-am clean clean-generic \
712        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
713        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
714        distclean distclean-generic distclean-hdr distclean-tags \
715        distcleancheck distdir distuninstallcheck dvi dvi-am html \
716        html-am info info-am install install-am install-data \
717        install-data-am install-dvi install-dvi-am install-exec \
718        install-exec-am install-html install-html-am install-info \
719        install-info-am install-man install-pdf install-pdf-am \
720        install-ps install-ps-am install-strip installcheck \
721        installcheck-am installdirs installdirs-am maintainer-clean \
722        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
723        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
724
725
726# Tell versions [3.59,3.63) of GNU make to not export all variables.
727# Otherwise a system limit (for SysV at least) may be exceeded.
728.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.